summaryrefslogtreecommitdiff
path: root/driver/xf86-video-glint/configure
diff options
context:
space:
mode:
authorMatthieu Herrb <matthieu@cvs.openbsd.org>2006-11-27 00:01:43 +0000
committerMatthieu Herrb <matthieu@cvs.openbsd.org>2006-11-27 00:01:43 +0000
commit5611c1c435d0e78ebe02d3144bde1ca565a70491 (patch)
tree5a3548f0effb9a56b766a15a8dcfa8caa7198946 /driver/xf86-video-glint/configure
parenta0a763bfcfbbdb28659af73d4ca25411c3b1de61 (diff)
regen with OpenBSD autotools
Diffstat (limited to 'driver/xf86-video-glint/configure')
-rw-r--r--driver/xf86-video-glint/configure286
1 files changed, 59 insertions, 227 deletions
diff --git a/driver/xf86-video-glint/configure b/driver/xf86-video-glint/configure
index 2a2596831..c26b799cd 100644
--- a/driver/xf86-video-glint/configure
+++ b/driver/xf86-video-glint/configure
@@ -8235,31 +8235,10 @@ linux*)
# before this can be enabled.
hardcode_into_libs=yes
- # find out which ABI we are using
- libsuff=
- case "$host_cpu" in
- x86_64*|s390x*|powerpc64*)
- echo '#line 8242 "configure"' > conftest.$ac_ext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- case `/usr/bin/file conftest.$ac_objext` in
- *64-bit*)
- libsuff=64
- sys_lib_search_path_spec="/lib${libsuff} /usr/lib${libsuff} /usr/local/lib${libsuff}"
- ;;
- esac
- fi
- rm -rf conftest*
- ;;
- esac
-
# Append ld.so.conf contents to the search path
if test -f /etc/ld.so.conf; then
lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:, ]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
- sys_lib_dlsearch_path_spec="/lib${libsuff} /usr/lib${libsuff} $lt_ld_extra"
+ sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
fi
# We used to test for /lib/ld.so.1 and disable shared libraries on
@@ -9136,7 +9115,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9139 "configure"
+#line 9118 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -9236,7 +9215,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9239 "configure"
+#line 9218 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11576,11 +11555,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11579: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11558: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:11583: \$? = $ac_status" >&5
+ echo "$as_me:11562: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -11680,11 +11659,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11683: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11662: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:11687: \$? = $ac_status" >&5
+ echo "$as_me:11666: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -12212,31 +12191,10 @@ linux*)
# before this can be enabled.
hardcode_into_libs=yes
- # find out which ABI we are using
- libsuff=
- case "$host_cpu" in
- x86_64*|s390x*|powerpc64*)
- echo '#line 12219 "configure"' > conftest.$ac_ext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- case `/usr/bin/file conftest.$ac_objext` in
- *64-bit*)
- libsuff=64
- sys_lib_search_path_spec="/lib${libsuff} /usr/lib${libsuff} /usr/local/lib${libsuff}"
- ;;
- esac
- fi
- rm -rf conftest*
- ;;
- esac
-
# Append ld.so.conf contents to the search path
if test -f /etc/ld.so.conf; then
lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:, ]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
- sys_lib_dlsearch_path_spec="/lib${libsuff} /usr/lib${libsuff} $lt_ld_extra"
+ sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
fi
# We used to test for /lib/ld.so.1 and disable shared libraries on
@@ -13271,11 +13229,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13274: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13232: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13278: \$? = $ac_status" >&5
+ echo "$as_me:13236: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -13375,11 +13333,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13378: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13336: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:13382: \$? = $ac_status" >&5
+ echo "$as_me:13340: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -14820,31 +14778,10 @@ linux*)
# before this can be enabled.
hardcode_into_libs=yes
- # find out which ABI we are using
- libsuff=
- case "$host_cpu" in
- x86_64*|s390x*|powerpc64*)
- echo '#line 14827 "configure"' > conftest.$ac_ext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- case `/usr/bin/file conftest.$ac_objext` in
- *64-bit*)
- libsuff=64
- sys_lib_search_path_spec="/lib${libsuff} /usr/lib${libsuff} /usr/local/lib${libsuff}"
- ;;
- esac
- fi
- rm -rf conftest*
- ;;
- esac
-
# Append ld.so.conf contents to the search path
if test -f /etc/ld.so.conf; then
lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:, ]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
- sys_lib_dlsearch_path_spec="/lib${libsuff} /usr/lib${libsuff} $lt_ld_extra"
+ sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
fi
# We used to test for /lib/ld.so.1 and disable shared libraries on
@@ -15599,11 +15536,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15602: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15539: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15606: \$? = $ac_status" >&5
+ echo "$as_me:15543: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -15867,11 +15804,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15870: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15807: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15874: \$? = $ac_status" >&5
+ echo "$as_me:15811: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -15971,11 +15908,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15974: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15911: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:15978: \$? = $ac_status" >&5
+ echo "$as_me:15915: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -17436,31 +17373,10 @@ linux*)
# before this can be enabled.
hardcode_into_libs=yes
- # find out which ABI we are using
- libsuff=
- case "$host_cpu" in
- x86_64*|s390x*|powerpc64*)
- echo '#line 17443 "configure"' > conftest.$ac_ext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- case `/usr/bin/file conftest.$ac_objext` in
- *64-bit*)
- libsuff=64
- sys_lib_search_path_spec="/lib${libsuff} /usr/lib${libsuff} /usr/local/lib${libsuff}"
- ;;
- esac
- fi
- rm -rf conftest*
- ;;
- esac
-
# Append ld.so.conf contents to the search path
if test -f /etc/ld.so.conf; then
lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:, ]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
- sys_lib_dlsearch_path_spec="/lib${libsuff} /usr/lib${libsuff} $lt_ld_extra"
+ sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
fi
# We used to test for /lib/ld.so.1 and disable shared libraries on
@@ -19942,9 +19858,6 @@ echo "$as_me:$LINENO: checking for XORG" >&5
echo $ECHO_N "checking for XORG... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
- if test -n "$XORG_CFLAGS"; then
- pkg_cv_XORG_CFLAGS="$XORG_CFLAGS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xorg-server >= 1.0.99.901 xproto fontsproto \$REQUIRED_MODULES\"") >&5
($PKG_CONFIG --exists --print-errors "xorg-server >= 1.0.99.901 xproto fontsproto $REQUIRED_MODULES") 2>&5
@@ -19955,14 +19868,10 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$XORG_LIBS"; then
- pkg_cv_XORG_LIBS="$XORG_LIBS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xorg-server >= 1.0.99.901 xproto fontsproto \$REQUIRED_MODULES\"") >&5
($PKG_CONFIG --exists --print-errors "xorg-server >= 1.0.99.901 xproto fontsproto $REQUIRED_MODULES") 2>&5
@@ -19973,59 +19882,38 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
-
-
if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- XORG_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xorg-server >= 1.0.99.901 xproto fontsproto $REQUIRED_MODULES"`
- else
- XORG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xorg-server >= 1.0.99.901 xproto fontsproto $REQUIRED_MODULES"`
- fi
+ XORG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xorg-server >= 1.0.99.901 xproto fontsproto $REQUIRED_MODULES"`
# Put the nasty error message in config.log where it belongs
- echo "$XORG_PKG_ERRORS" >&5
-
- { { echo "$as_me:$LINENO: error: Package requirements (xorg-server >= 1.0.99.901 xproto fontsproto $REQUIRED_MODULES) were not met:
-
-$XORG_PKG_ERRORS
+ echo "$XORG_PKG_ERRORS" 1>&5
+ { { echo "$as_me:$LINENO: error: Package requirements (xorg-server >= 1.0.99.901 xproto fontsproto $REQUIRED_MODULES) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XORG_CFLAGS
-and XORG_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (xorg-server >= 1.0.99.901 xproto fontsproto $REQUIRED_MODULES) were not met:
-
-$XORG_PKG_ERRORS
-
+Alternatively you may set the XORG_CFLAGS and XORG_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&5
+echo "$as_me: error: Package requirements (xorg-server >= 1.0.99.901 xproto fontsproto $REQUIRED_MODULES) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XORG_CFLAGS
-and XORG_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
+Alternatively you may set the XORG_CFLAGS and XORG_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&2;}
{ (exit 1); exit 1; }; }
elif test $pkg_failed = untried; then
{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XORG_CFLAGS
-and XORG_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XORG_CFLAGS and XORG_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&5
@@ -20033,9 +19921,9 @@ echo "$as_me: error: The pkg-config script could not be found or is too old. Ma
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XORG_CFLAGS
-and XORG_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XORG_CFLAGS and XORG_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&2;}
@@ -20325,9 +20213,6 @@ echo "$as_me:$LINENO: checking for DRI" >&5
echo $ECHO_N "checking for DRI... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
- if test -n "$DRI_CFLAGS"; then
- pkg_cv_DRI_CFLAGS="$DRI_CFLAGS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libdrm >= 2.0 xf86driproto\"") >&5
($PKG_CONFIG --exists --print-errors "libdrm >= 2.0 xf86driproto") 2>&5
@@ -20338,14 +20223,10 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$DRI_LIBS"; then
- pkg_cv_DRI_LIBS="$DRI_LIBS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libdrm >= 2.0 xf86driproto\"") >&5
($PKG_CONFIG --exists --print-errors "libdrm >= 2.0 xf86driproto") 2>&5
@@ -20356,59 +20237,38 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
-
-
if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- DRI_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libdrm >= 2.0 xf86driproto"`
- else
- DRI_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libdrm >= 2.0 xf86driproto"`
- fi
+ DRI_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libdrm >= 2.0 xf86driproto"`
# Put the nasty error message in config.log where it belongs
- echo "$DRI_PKG_ERRORS" >&5
-
- { { echo "$as_me:$LINENO: error: Package requirements (libdrm >= 2.0 xf86driproto) were not met:
-
-$DRI_PKG_ERRORS
+ echo "$DRI_PKG_ERRORS" 1>&5
+ { { echo "$as_me:$LINENO: error: Package requirements (libdrm >= 2.0 xf86driproto) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables DRI_CFLAGS
-and DRI_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (libdrm >= 2.0 xf86driproto) were not met:
-
-$DRI_PKG_ERRORS
-
+Alternatively you may set the DRI_CFLAGS and DRI_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&5
+echo "$as_me: error: Package requirements (libdrm >= 2.0 xf86driproto) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables DRI_CFLAGS
-and DRI_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
+Alternatively you may set the DRI_CFLAGS and DRI_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&2;}
{ (exit 1); exit 1; }; }
elif test $pkg_failed = untried; then
{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables DRI_CFLAGS
-and DRI_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the DRI_CFLAGS and DRI_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&5
@@ -20416,9 +20276,9 @@ echo "$as_me: error: The pkg-config script could not be found or is too old. Ma
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables DRI_CFLAGS
-and DRI_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the DRI_CFLAGS and DRI_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&2;}
@@ -20453,75 +20313,47 @@ DRIVER_NAME=glint
if test x$APP_MAN_SUFFIX = x ; then
- case $host_os in
- linux*) APP_MAN_SUFFIX=1x ;;
- *) APP_MAN_SUFFIX=1 ;;
- esac
+ APP_MAN_SUFFIX=1
fi
if test x$APP_MAN_DIR = x ; then
- case $host_os in
- linux*) APP_MAN_DIR='$(mandir)/man1' ;;
- *) APP_MAN_DIR='$(mandir)/man$(APP_MAN_SUFFIX)' ;;
- esac
+ APP_MAN_DIR='$(mandir)/man$(APP_MAN_SUFFIX)'
fi
if test x$LIB_MAN_SUFFIX = x ; then
- case $host_os in
- linux*) LIB_MAN_SUFFIX=3x ;;
- *) LIB_MAN_SUFFIX=3 ;;
- esac
+ LIB_MAN_SUFFIX=3
fi
if test x$LIB_MAN_DIR = x ; then
- case $host_os in
- linux*) LIB_MAN_DIR='$(mandir)/man3' ;;
- *) LIB_MAN_DIR='$(mandir)/man$(LIB_MAN_SUFFIX)' ;;
- esac
+ LIB_MAN_DIR='$(mandir)/man$(LIB_MAN_SUFFIX)'
fi
if test x$FILE_MAN_SUFFIX = x ; then
case $host_os in
- linux*) FILE_MAN_SUFFIX=5x ;;
solaris*) FILE_MAN_SUFFIX=4 ;;
*) FILE_MAN_SUFFIX=5 ;;
esac
fi
if test x$FILE_MAN_DIR = x ; then
- case $host_os in
- linux*) FILE_MAN_DIR='$(mandir)/man5' ;;
- *) FILE_MAN_DIR='$(mandir)/man$(FILE_MAN_SUFFIX)' ;;
- esac
+ FILE_MAN_DIR='$(mandir)/man$(FILE_MAN_SUFFIX)'
fi
-# In Imake's linux.cf, the misc man suffix & dir was only changed for
-# LinuxDebian, not other Linuxes, so we leave it unchanged here
if test x$MISC_MAN_SUFFIX = x ; then
case $host_os in
-# linux*) MISC_MAN_SUFFIX=7x ;;
solaris*) MISC_MAN_SUFFIX=5 ;;
*) MISC_MAN_SUFFIX=7 ;;
esac
fi
if test x$MISC_MAN_DIR = x ; then
- case $host_os in
-# linux*) MISC_MAN_DIR='$(mandir)/man7' ;;
- *) MISC_MAN_DIR='$(mandir)/man$(MISC_MAN_SUFFIX)' ;;
- esac
+ MISC_MAN_DIR='$(mandir)/man$(MISC_MAN_SUFFIX)'
fi
-# In Imake's linux.cf, the driver man suffix & dir was only changed for
-# LinuxDebian, not other Linuxes, so we leave it unchanged here
if test x$DRIVER_MAN_SUFFIX = x ; then
case $host_os in
-# linux*) DRIVER_MAN_SUFFIX=4x ;;
solaris*) DRIVER_MAN_SUFFIX=7 ;;
*) DRIVER_MAN_SUFFIX=4 ;;
esac
fi
if test x$DRIVER_MAN_DIR = x ; then
- case $host_os in
-# linux*) DRIVER_MAN_DIR='$(mandir)/man4' ;;
- *) DRIVER_MAN_DIR='$(mandir)/man$(DRIVER_MAN_SUFFIX)' ;;
- esac
+ DRIVER_MAN_DIR='$(mandir)/man$(DRIVER_MAN_SUFFIX)'
fi
if test x$ADMIN_MAN_SUFFIX = x ; then